﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.NetworkInformation;
using System.Text;
using System.Threading.Tasks;

namespace ProjectTank.Entities
{
    public class EntityTank : EntityTankBase
    {
        public Color AdditionalColor { get; set; }
        public bool TankTower { get; private set; }
        public bool AntiAirforceGun { get; private set; }
        public EntityTank(int speed, double weight, Color bodyColor, Color
additionalColor, bool tankTower, bool antiAirforceGun) : base(speed, weight, bodyColor)
        {
            AdditionalColor = additionalColor;
            TankTower = tankTower;
            AntiAirforceGun = antiAirforceGun;
        }
    }
}
